Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS > Class Template Reference

`#include <OTypedArrayProperty.h>`

Inherits Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >:
[legend]

## Public Types

typedef TRAITS | traits_type
typedef OTypedArrayProperty< TRAITS > | this_type
typedef TRAITS::value_type | value_type
typedef TypedArraySample< TRAITS > | sample_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty
typedef OArrayProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OTypedArrayProperty ()
| OTypedArrayProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OTypedArrayProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OTypedArrayProperty (AbcA::ArrayPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OTypedArrayProperty (AbcA::ArrayPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
void | set (const sample_type &iVal)
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty
| OArrayProperty ()
| OArrayProperty (OCompoundProperty iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, const Argument &iArg0=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~OArrayProperty ()
size_t | getNumSamples () const
void | set (const AbcA::ArraySample &iSample)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::ArrayPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions

static const char * | getInterpretation ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members

Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
AbcA::ArrayPropertyWriterPtr | m_property

## Detailed Description

template<class TRAITS>
class Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >

Definition at line 50 of file OTypedArrayProperty.h.

## Member Typedef Documentation

## sample_type

template<class TRAITS>

typedef TypedArraySample<TRAITS> Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::sample_type

Definition at line 59 of file OTypedArrayProperty.h.

## this_type

template<class TRAITS>

typedef OTypedArrayProperty<TRAITS> Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::this_type

Definition at line 57 of file OTypedArrayProperty.h.

## traits_type

template<class TRAITS>

typedef TRAITS Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::traits_type

Definition at line 56 of file OTypedArrayProperty.h.

## value_type

template<class TRAITS>

typedef TRAITS::value_type Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::value_type

Definition at line 58 of file OTypedArrayProperty.h.

## Constructor & Destructor Documentation

## OTypedArrayProperty() [1/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::OTypedArrayProperty | ( |  | ) |

inline

Create a default (empty) TypedArrayProperty ...

Definition at line 99 of file OTypedArrayProperty.h.

## OTypedArrayProperty() [2/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::OTypedArrayProperty | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument(),
|  | const Argument & | iArg3 = Argument() )

inline

Create a new TypedArrayProperty as a child of the passed iParent Arguments can specify metadata, timesampling, and error handling.

Definition at line 105 of file OTypedArrayProperty.h.

## OTypedArrayProperty() [3/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::OTypedArrayProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )

inline

Create a new TypedArrayProperty as a child of the passed iParent Arguments can specify metadata, timesampling, and error handling.

Definition at line 120 of file OTypedArrayProperty.h.

## OTypedArrayProperty() [4/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::OTypedArrayProperty | ( | AbcA::ArrayPropertyWriterPtr | iProp,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Wrap an existing property. This will check to make sure it can wrap.

Definition at line 134 of file OTypedArrayProperty.h.

## OTypedArrayProperty() [5/5]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::OTypedArrayProperty | ( | AbcA::ArrayPropertyWriterPtr | iProp,
|  | WrapExistingFlag | iWrapFlag,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

inline

Definition at line 146 of file OTypedArrayProperty.h.

## Member Function Documentation

## getInterpretation()

template<class TRAITS>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::getInterpretation | ( |  | ) |

inlinestatic

Return the interpretation expected of this property. An empty interpretation matches everything

Definition at line 63 of file OTypedArrayProperty.h.

## matches() [1/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inlinestatic

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this typed property

Definition at line 71 of file OTypedArrayProperty.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< BooleanTPTraits >::matches().

Here is the caller graph for this function:

## matches() [2/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )

inlinestatic

This will check whether or not a given object (as represented by an property header) strictly matches the interpretation of this typed property, as well as the data type.

Definition at line 81 of file OTypedArrayProperty.h.

## set()

template<class TRAITS>

void Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >::set | ( | const sample_type & | iVal | ) |

inline

Set a sample using a reference to a typed array sample-type, instead of a void* ArraySample

Definition at line 163 of file OTypedArrayProperty.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/OTypedArrayProperty.h